API ReferenceProducts
Categories Update
Update an existing category.
Authorization
oauth2 catalogue:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:write
Path Parameters
id*integer
A unique integer value identifying this Category.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X PUT "https://example.com/categories/0/" \ -H "X-29next-API-Version: 2024-04-01" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string" }'{ "description": "string", "external_tax_code": "string", "id": 0, "image": "http://example.com", "is_public": true, "meta_description": "string", "meta_title": "string", "name": "string", "slug": "string", "template": "string"}